CVE-2016-8569

Priority
Description
The git_oid_nfmt function in commit.c in libgit2 before 0.24.3 allows
remote attackers to cause a denial of service (NULL pointer dereference)
via a cat-file command with a crafted object file.
Ubuntu-Description
It was discovered that libgit2 mishandled certain malformed git objects. A
remove attacker could use this vulnerability to cause a denial of service.
Assigned-to
mikesalvatore
Notes
Package
Upstream:released (0.25.1+really0.24.6-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (0.26.0+dfsg.1-1.1build1)
Ubuntu 19.04 (Disco Dingo):not-affected (0.27.4+dfsg.1-0.1)
Ubuntu 19.10 (Eoan Ermine):not-affected (0.27.4+dfsg.1-0.1)
Ubuntu 20.04 (Focal Fossa):not-affected (0.27.4+dfsg.1-0.1)
More Information

Updated: 2019-12-05 19:33:47 UTC (commit 0aa5e7c87c8b55d2ec5c7f4ca1179cf75de91961)